Skip to main content
PATCH
/
api
/
dashboards
/
{id}
Update dashboard
curl --request PATCH \
  --url https://api.example.com/api/dashboards/{id} \
  --header 'Content-Type: application/json' \
  --cookie better-auth.session_token= \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "widgets": [
    {
      "reportId": "<string>",
      "layout": {
        "x": 1,
        "y": 1,
        "w": 2,
        "h": 2
      },
      "id": "<string>",
      "config": {}
    }
  ]
}
'
{
  "id": "<string>",
  "userId": "<string>",
  "name": "<string>",
  "widgets": [
    {
      "id": "<string>",
      "reportId": "<string>",
      "layout": {
        "x": 1,
        "y": 1,
        "w": 2,
        "h": 2
      },
      "config": {}
    }
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "organizationId": "<string>",
  "description": "<string>"
}

Authorizations

better-auth.session_token
string
cookie
required

Path Parameters

id
string
required

Body

application/json
name
string
Minimum string length: 1
description
string | null
widgets
object[]

Response

200 - application/json

Default Response

id
string
required
userId
string
required
name
string
required
widgets
object[]
required
createdAt
string
required
updatedAt
string
required
organizationId
string
description
string